Getting started

Get Range up and running for your team

System requirements

Range works on the latest version of major browsers

Range is brand new, and for the time being it only works with the latest version of modern web browsers. Here's what we currently support:

  • Chrome Latest (59 and above) - Download
  • Safari Latest (10 and above)
    Note: Range will not work on iOS 9 and below
  • Firefox Latest (52 and above) - Download
  • Microsoft Edge Latest (15 and above) - Download

Have a question?

Send us a message. We’d love to help.

Haven’t signed up yet?

It’s easy and free to get started.

Sign up for Range